<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/admin_panel_layout}">
<head>
    <meta charset="UTF-8">
    <title>Categories</title>
</head>
<body>
<div layout:fragment="admin_panel_content" class="container mt-2">
    <h4 th:text="${action.equalsIgnoreCase('create') ? 'New Category' : 'Edit Category'}">Category</h4>
    <form method="post"
          th:action="@{/categories/__${action.equalsIgnoreCase('create') ? 'new' : 'update'}__}"
          th:object="${category}">
        <input type="hidden" th:field="*{id}">
        <div class="form-group">
            <div class="col-2">
                <label th:for="${'name'}">Name</label>
            </div>
            <div class="col-12 col-md-6">
                <input type="text" class="form-control" th:field="*{name}" minlength="1" required>
            </div>
        </div>
        <div class="form-group col-6">
            <button type="submit" class="btn btn-primary">Save</button>
            <a th:href="@{/categories}" class="btn btn-secondary">Cancel</a>
        </div>
    </form>
</div>

</body>
</html>